package com.bzd.system.service.dtp;

import com.bzd.common.config.dao.DaoBase;
import com.bzd.common.config.dao.DaoSupport;
import com.bzd.common.config.dao.PageData;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.List;


/**
*
* 提示词管理表 service
* @author LiXiangFei
* @since 2024-10-15
*/

@Service
public class SDtpYypzCallWordService {

    @Autowired
    private DaoBase dao;

    @Resource(name = "daoSupport")
    private DaoSupport daoSupport;

    public Integer addSDtpYypzCallWord(PageData pd)throws Exception {
        return daoSupport.update("SDtpYypzCallWordMapper.addSDtpYypzCallWord", pd);
    }

    public List<PageData> findSDtpYypzCallWordList(PageData pd) throws Exception{
        return (List<PageData>) daoSupport.findForList("SDtpYypzCallWordMapper.selectSDtpYypzCallWordList", pd);
    }

    public Integer SDtpYypzCallWordRemove(PageData pd)throws Exception {
        return daoSupport.delete("SDtpYypzCallWordMapper.SDtpYypzCallWordRemove", pd);
    }


    public Integer updateSDtpYypzCallWord(PageData pd)throws Exception {
        return daoSupport.update("SDtpYypzCallWordMapper.updateSDtpYypzCallWord", pd);
    }

}
